﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;
using System.Data.SqlClient;

/// <summary>
/// DBHelper 的摘要说明
/// </summary>
public static class DBHelper
{
    private static OleDbConnection connection;
    private static readonly string connectionString = ConfigurationManager.ConnectionStrings["OLEDBCONNECTIONSTRING1"].ConnectionString + HttpContext.Current.Server.MapPath(ConfigurationManager.ConnectionStrings["OLEDBCONNECTIONSTRING3"].ConnectionString);
    public static OleDbConnection Connection
    {
        get
        {
       
            //"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=|DataDirectory|\\hl.mdb;Persist Security Info=False";
            if (connection == null)
            {
                connection = new OleDbConnection(connectionString);
                connection.Open();
            }
            else if (connection.State == System.Data.ConnectionState.Closed)
            {
                connection.Open();
            }
            else if (connection.State == System.Data.ConnectionState.Broken)
            {
                connection.Close();
                connection.Open();
            }
            return connection;
        }
    }
    public static int ExcuteCommand(string sql)
    {
        int num;
        using (OleDbConnection connection = new OleDbConnection(connectionString))
        {
            connection.Open();
            //mycon.Open();
            using (OleDbCommand cmd = new OleDbCommand(sql, Connection))
            {
               num = cmd.ExecuteNonQuery();
                connection.Close();
            }
        }
        return num;
    }
    public static DataTable GetDataSet(string sql)
    {

        DataTable dt = new DataTable();
        using (OleDbConnection connection = new OleDbConnection(connectionString))
        {
            connection.Open();
            //conn.Open();
            using (OleDbCommand cmd = new OleDbCommand(sql, Connection))
            {
                using (OleDbDataAdapter da = new OleDbDataAdapter(cmd))
                {
                    da.Fill(dt);
                }
                connection.Close();
            }
        }
        return dt;
    }
      public static int GetPages(string sql)
    {

        int num;
            DataTable dt = new DataTable();
            using (OleDbConnection connection = new OleDbConnection(connectionString))
            {
               
                connection.Open();
                //conn.Open();
                using (OleDbCommand cmd = new OleDbCommand(sql, Connection))
                {

                    using (OleDbDataAdapter da = new OleDbDataAdapter(cmd))
                    {
                        da.Fill(dt);
                         num = dt.Rows.Count;
                    }
                }
                connection.Close();
            }
            return num;
        }
      public static DataSet GetDataSets(string sql)
      {

          DataSet dt = new DataSet();
          using (OleDbConnection connection = new OleDbConnection(connectionString))
          {
              connection.Open();
              //conn.Open();
              using (OleDbCommand cmd = new OleDbCommand(sql, Connection))
              {

                  using (OleDbDataAdapter da = new OleDbDataAdapter(cmd))
                  {

                      da.Fill(dt);
                  }
                  connection.Close();

              }

          }

          return dt;
      }
        
}
