﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Text;
using System.IO;
using System.Text.RegularExpressions;
using System.Net;
using System.Web.Security;
using System.Collections;
using System.Net.Mail;

/// <summary>
///stringhelper 的摘要说明
/// </summary>
public class StringHelper
{
    public StringHelper()
	{
		//
		//TODO: 在此处添加构造函数逻辑
		//
	}
    
        #region 替换字符串
        /// <summary>
        /// 功能:替换字符
        /// </summary>
        /// <param name="strVAlue">字符串</param>
        /// <returns>替换掉'的字符串</returns>
        public static string FilterSQL(string strVAlue)
        {
            string str = "";
            str = strVAlue.Replace("''", "");
            return str;
        }
        #endregion

        #region 对表 表单内容进行转换HTML操作,
        /// <summary>
        /// 功能:对表 表单内容进行转换HTML操作,
        /// </summary>
        /// <param name="fString">html字符串</param>
        /// <returns></returns>
        public static string HtmlCode(string fString)
        {
            string str = "";
            str = fString.Replace(">", "&gt;");
            str = fString.Replace("<", "&lt;");
            str = fString.Replace(" ", "&nbsp;");
            str = fString.Replace("\n", "<br />");
            str = fString.Replace("\r", "<br />");
            str = fString.Replace("\r\n", "<br />");

            return str;
        }
        #endregion

        #region 判断是否:返回值：√ or ×
        /// <summary>
        /// 判断是否:返回值：√ or ×
        /// </summary>
        /// <param name="b">true 或false</param>
        /// <returns>√ or ×</returns>
        public static string Judgement(bool b)
        {
            string s = "";
            if (b == true)
                s = "<b><font color=#009900>√</font></b>";
            else
                s = "<b><font color=#FF0000>×</font></b>";
            return s;
        }
        #endregion

        #region 截取字符串
        /// <summary>
        /// 功能:截取字符串长度
        /// </summary>
        /// <param name="str">要截取的字符串</param>
        /// <param name="length">字符串长度</param>
        /// <param name="flg">true:加...,flase:不加</param>
        /// <returns></returns>
        public static string GetString(string str, int length, bool flg)
        {
            int i = 0, j = 0;
            foreach (char chr in str)
            {
                if ((int)chr > 127)
                {
                    i += 2;
                }
                else
                {
                    i++;
                }
                if (i > length)
                {
                    str = str.Substring(0, j);
                    if (flg)
                        str += "......";
                    break;
                }
                j++;
            }
            return str;
        }
        #endregion

        #region 截取字符串+…
        /// <summary>
        /// 截取字符串+…
        /// </summary>
        /// <param name="strInput"></param>
        /// <param name="intlen"></param>
        /// <returns></returns>
        public static string CutString(string strInput, int intlen)//截取字符串
        {
            ASCIIEncoding ascii = new ASCIIEncoding();
            int intLength = 0;
            string strString = "";
            byte[] s = ascii.GetBytes(strInput);
            for (int i = 0; i < s.Length; i++)
            {
                if ((int)s[i] == 63)
                {
                    intLength += 2;
                }
                else
                {
                    intLength += 1;
                }

                try
                {
                    strString += strInput.Substring(i, 1);
                }
                catch
                {
                    break;
                }

                if (intLength > intlen)
                {
                    break;
                }
            }
            //如果截过则加上半个省略号
            byte[] mybyte = System.Text.Encoding.Default.GetBytes(strInput);
            if (mybyte.Length > intlen)
            {
                strString += "…";
            }
            return strString;
        }
        public static string CutString(object str, int intlen)//截取字符串
        {
            if (str != null)
            {
                string strInput = str.ToString();
                ASCIIEncoding ascii = new ASCIIEncoding();
                int intLength = 0;
                string strString = "";
                byte[] s = ascii.GetBytes(strInput);
                for (int i = 0; i < s.Length; i++)
                {
                    if ((int)s[i] == 63)
                    {
                        intLength += 2;
                    }
                    else
                    {
                        intLength += 1;
                    }

                    try
                    {
                        strString += strInput.Substring(i, 1);
                    }
                    catch
                    {
                        break;
                    }

                    if (intLength > intlen)
                    {
                        break;
                    }
                }
                //如果截过则加上半个省略号
                byte[] mybyte = System.Text.Encoding.Default.GetBytes(strInput);
                if (mybyte.Length > intlen)
                {
                    strString += "…";
                }
                return strString;
            }
            else
                return "";
        }
        #endregion

        #region 字符串分函数
        /// <summary>
        /// 字符串分函数
        /// </summary>
        /// <param name="strID"></param>
        /// <param name="index"></param>
        /// <param name="Separ"></param>
        /// <returns></returns>
        public string StringSplit(string strings, int index, string Separ)
        {
            string[] s = strings.Split(char.Parse(Separ));
            return s[index];
        }
        #endregion

        #region 分解字符串为数组
        /// <summary>
        /// 字符串分函数
        /// </summary>
        /// <param name="str">要分解的字符串</param>
        /// <param name="splitstr">分割符,可以为string类型</param>
        /// <returns>字符数组</returns>
        public static string[] splitstr(string str, string splitstr)
        {
            if (splitstr != "")
            {
                System.Collections.ArrayList c = new System.Collections.ArrayList();
                while (true)
                {
                    int thissplitindex = str.IndexOf(splitstr);
                    if (thissplitindex >= 0)
                    {
                        c.Add(str.Substring(0, thissplitindex));
                        str = str.Substring(thissplitindex + splitstr.Length);
                    }
                    else
                    {
                        c.Add(str);
                        break;
                    }
                }
                string[] d = new string[c.Count];
                for (int i = 0; i < c.Count; i++)
                {
                    d[i] = c[i].ToString();
                }
                return d;
            }
            else
            {
                return new string[] { str };
            }
        }
        #endregion

        #region URL编码
        /// <summary>
        /// URL编码
        /// </summary>
        /// <param name="str">字符串</param>
        /// <returns></returns>
        public static string UrlEncoding(string str)
        {
            byte[] bytes = System.Text.Encoding.UTF8.GetBytes(str);
            return System.Text.Encoding.UTF8.GetString(bytes).ToString();
        }
        #endregion

        #region 获取Web.config中的配置字段值
        /// <summary>
        /// 获取全局配置参数
        /// </summary>
        /// <param name="key">键名</param>
        /// <returns>参数</returns>
        public static string GetApp(string key)
        {
            System.Configuration.AppSettingsReader appr = new System.Configuration.AppSettingsReader();
            try
            {
                string str = (string)appr.GetValue(key, typeof(string));
                if (str == null || str == "") return null;
                return str;
            }
            catch (Exception E) { }
            return null;
        }

        #endregion

        #region 根据传入的字符串是否为yes/no返回Bit
        /// <summary>
        /// 根据传入的字符串是否为yes/no返回Bit
        /// </summary>
        /// <param name="flg"></param>
        /// <returns></returns>
        public static int GetBitBool(string flg)
        {
            int str = 0;
            switch (flg.ToLower())
            {
                case "yes":
                    str = 1;
                    break;
                case "no":
                    str = 0;
                    break;
                default:
                    break;
            }
            return str;
        }
        #endregion

        #region Html编码
        /// <summary>
        /// HTML编码
        /// </summary>
        /// <param name="strInput"></param>
        /// <returns></returns>
        public static string HtmlEncode(string strInput)
        {
            string str;
            try
            {
                //str = HttpContext.Current.Server.HtmlEncode(strInput);
                str = strInput + "";
                //str = str.Replace("\r\n", "<br>");
                //str = str.Replace("\n", "<br>");
                //str = str.Replace(" ", "&nbsp;");
                str = str.Replace("'", "######");
                //str = str.Replace("‘", "&&&&&&");
                str = str.Replace("\"", "^^^^^^");
                str = str.Replace("“", "$$$$$$");
                str = str.Replace("”", "%%%%%%");
                //‘'’‘“”
                str = HttpContext.Current.Server.HtmlEncode(str);
            }
            catch
            {
                str = "";
            }
            return str;
        }
        public static string HtmlEncode(object strInput)
        {
            string str;
            try
            {
                //str = HttpContext.Current.Server.HtmlEncode(strInput);
                str = strInput + "";
                //str = str.Replace("\r\n", "<br>");
                //str = str.Replace("\n", "<br>");
                //str = str.Replace(" ", "&nbsp;");
                str = str.Replace("'", "######");
                str = str.Replace("\"", "^^^^^^");
                str = str.Replace("“", "$$$$$$");
                str = str.Replace("”", "%%%%%%");
                str = HttpContext.Current.Server.HtmlEncode(str);
            }
            catch
            {
                str = "";
            }
            return str;
        }
        ///// <summary>
        ///// HTML解码
        ///// </summary>
        ///// <param name="strInput"></param>
        ///// <returns></returns>
        //public static string HtmlDecode(string strInput)
        //{
        //    string str;
        //    try
        //    {
        //        str = (strInput + "").Replace("&lt;br&gt;", "\r\n").Replace("######", "'").Replace("$$$$$$", "“").Replace("%%%%%%", "”").Replace("^^^^^^", "\"");
        //        str = HttpContext.Current.Server.HtmlDecode(str);
        //    }
        //    catch
        //    {
        //        str = "error";
        //    }
        //    return str;
        //}
        //public static string HtmlDecode(object str)
        //{
        //    if (str != null)
        //    {

        //        string s = (str + "").Replace("&lt;br&gt;", "\r\n").Replace("######", "'").Replace("$$$$$$", "“").Replace("%%%%%%", "”").Replace("^^^^^^", "\"");
        //        return HttpContext.Current.Server.HtmlDecode(s);
        //    }
        //    else
        //        return "";
        //}

        /// <summary>
        /// HTML解码
        /// </summary>
        /// <param name="strInput"></param>
        /// <returns></returns>
        public static string HtmlDecode(string strInput)
        {
            string str;
            try
            {
                str = (strInput + "").Replace("&lt;br&gt;", "\r\n").Replace("######", "'").Replace("$$$$$$", "“").Replace("%%%%%%", "”").Replace("^^^^^^", "\"");
                str = HttpContext.Current.Server.HtmlDecode(str);
            }
            catch
            {
                str = "error";
            }
            return str;
        }
        public static string HtmlDecode(object str)
        {
            if (str != null)
            {

                string s = (str + "").Replace("&lt;br&gt;", "\r\n").Replace("######", "'").Replace("$$$$$$", "“").Replace("%%%%%%", "”").Replace("^^^^^^", "\"");
                return HttpContext.Current.Server.HtmlDecode(s);
            }
            else
                return "";
        }
        #endregion

        #region 检测一个字符符,是否在另一个字符中,存在,存在返回true,否则返回false
        /// <summary>
        /// 检测一个字符符,是否在另一个字符中,存在,存在返回true,否则返回false
        /// </summary>
        /// <param name="srcString">原始字符串</param>
        /// <param name="aimString">目标字符串</param>
        /// <returns></returns>
        public static bool IsEnglish(string srcString, string aimString)
        {
            bool Rev = true;
            string chr;
            if (aimString == "" || aimString == null) return false;
            for (int i = 0; i < aimString.Length; i++)
            {
                chr = aimString.Substring(i, 1);
                if (srcString.IndexOf(chr) < 0)
                {
                    return false;
                    break;
                }

            }
            return Rev;
        }
        #endregion

        #region 检测字符串中是否含有中文及中文长度
        /// <summary>
        /// 检测字符串中是否含有中文及中文长度
        /// </summary>
        /// <param name="str">要检测的字符串</param>
        /// <returns>中文字符串长度</returns>
        public static int CnStringLength(string str)
        {
            ASCIIEncoding n = new ASCIIEncoding();
            byte[] b = n.GetBytes(str);
            int l = 0; // l 为字符串之实际长度 
            for (int i = 0; i <= b.Length - 1; i++)
            {
                if (b[i] == 63) //判断是否为汉字或全脚符号 
                {
                    l++;
                }
            }
            return l;

        }
        #endregion

        #region 取字符串右侧的几个字符
        /// <summary>
        /// 取字符串右侧的几个字符
        /// </summary>
        /// <param name="str">字符串</param>
        /// <param name="length">右侧的几个字符</param>
        /// <returns></returns>
        public static string GetStrRight(string str, int length)
        {
            string Rev = "";

            if (str.Length < length)
            {
                Rev = str;

            }
            else
            {
                Rev = str.Substring(str.Length - length, length);
            }
            return Rev;


        }
        #endregion

        #region 替换右侧的字符串

        /// <summary>
        /// 替换右侧的字符串
        /// </summary>
        /// <param name="str">字符串</param>
        /// <param name="strsrc">右侧的字符串</param>
        /// <param name="straim">要替换为的字符串</param>
        /// <returns></returns>
        public static string RepStrRight(string str, string strsrc, string straim)
        {

            string Rev = "";
            if (GetStrRight(str, strsrc.Length) != strsrc)
            {
                Rev = str;
            }
            else
            {
                Rev = str.Substring(0, str.Length - strsrc.Length).ToString() + straim.ToString();
            }
            return Rev;
        }
        #endregion
        /// <summary>
        /// 根据 关键字 截取字符串。。就跟HTML新闻分页一样。。
        /// </summary>
        /// <param name="array">ArrayList 存放返回字符串的地方</param>
        /// <param name="str">要截取的字符串</param>
        /// <param name="pagecode">关键字 比如：“aa”</param>
        /// <returns>比如：123aa321aa4354654   返回 123   321  4354654  存放到ArrayList里面</returns>
        public static ArrayList GetSplit(string str, string pagecode)
        {
            ArrayList array = new ArrayList();
            int strcount = str.Length;
            for (int i = 0; i < strcount; )
            {
                int temp = str.IndexOf(pagecode);
                if (temp < 0)
                {
                    break;
                }
                else
                {
                    array.Add(str.Substring(0, temp));
                    str = str.Substring(temp + pagecode.Length);
                    i = i + temp + pagecode.Length;
                }
            }
            array.Add(str);
            return array;
        }
        #region 验证部分

        /// <summary>
        /// 检查一个字符串是否可以转化为日期，一般用于验证用户输入日期的合法性。
        /// </summary>
        /// <param name="_value">需验证的字符串。</param>
        /// <returns>是否可以转化为日期的bool值。</returns>
        public static bool IsStringDate(string _value)
        {
            DateTime dTime;
            try
            {
                dTime = DateTime.Parse(_value);
            }
            catch (FormatException e)
            {
                //日期格式不正确时
                Console.WriteLine(e.Message);
                return false;
            }
            return true;
        }
        /// <summary>
        /// 检测是否有中文字符
        /// </summary>
        /// <param name="inputData"></param>
        /// <returns></returns>
        public static bool IsHasCHZN(string inputData)
        {
            Regex RegCHZN = new Regex("[\u4e00-\u9fa5]");
            Match m = RegCHZN.Match(inputData);
            return m.Success;
        }
        /// <summary>
        /// 验证是否为正整数
        /// </summary>
        /// <param name="str"></param>
        /// <returns></returns>
        public static bool IsNumeric(string str)
        {
            return Regex.IsMatch(str, @"^[0-9]*$");
        }

        /// <summary>
        /// 判断文件名是否为浏览器可以直接显示的图片文件名
        /// </summary>
        /// <param name="filename">文件名</param>
        /// <returns>是否可以直接显示</returns>
        public static bool IsImgFilename(string filename)
        {
            filename = filename.Trim();
            if (filename.EndsWith(".") || filename.IndexOf(".") == -1)
            {
                return false;
            }
            string extname = filename.Substring(filename.LastIndexOf(".") + 1).ToLower();
            return (extname == "jpg" || extname == "jpeg" || extname == "png" || extname == "bmp" || extname == "gif");
        }

        /// <summary>
        /// 检查一个字符串是否是纯字母和数字构成的，一般用于查询字符串参数的有效性验证。
        /// </summary>
        /// <param name="_value">需验证的字符串。</param>
        /// <returns>是否合法的bool值。</returns>
        public static bool IsLetterOrNumber(string _value)
        {
            return StringManager.QuickValidate("^[a-zA-Z0-9_]*$", _value);
        }
        /// <summary>
        /// 判断是否是数字，包括小数和整数。
        /// </summary>
        /// <param name="_value">需验证的字符串。</param>
        /// <returns>是否合法的bool值。</returns>
        public static bool IsNumber(string _value)
        {
            return StringManager.QuickValidate("^(0|([1-9]+[0-9]*))(.[0-9]+)?$", _value);
        }
        /// <summary>
        /// 快速验证一个字符串是否符合指定的正则表达式。
        /// </summary>
        /// <param name="_express">正则表达式的内容。</param>
        /// <param name="_value">需验证的字符串。</param>
        /// <returns>是否合法的bool值。</returns>
        public static bool QuickValidate(string _express, string _value)
        {
            System.Text.RegularExpressions.Regex myRegex = new System.Text.RegularExpressions.Regex(_express);
            if (_value.Length == 0)
            {
                return false;
            }
            return myRegex.IsMatch(_value);
        }
        #region IsEmail
        /// <summary>
        /// 验证字符串Email地址
        /// </summary>
        /// <param name="input">要验证的字符串</param>
        /// <returns></returns>
        public static bool IsEmail(string input)
        {
            // Return true if strIn is in valid e-mail format.
            string regexString = @"^([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$";

            return Regex.IsMatch(input, regexString);
        }
        #endregion
        /// <summary>
        /// 判断一个字符串是否为ID格式
        /// </summary>
        /// <param name="_value"></param>
        /// <returns></returns>
        public static bool IsIDCard(string _value)
        {
            Regex regex;
            string[] strArray;
            DateTime time;
            if ((_value.Length != 15) && (_value.Length != 0x12))
            {
                return false;
            }
            if (_value.Length == 15)
            {
                regex = new Regex(@"^(\d{6})(\d{2})(\d{2})(\d{2})(\d{3})$");
                if (!regex.Match(_value).Success)
                {
                    return false;
                }
                strArray = regex.Split(_value);
                try
                {
                    time = new DateTime(int.Parse("19" + strArray[2]), int.Parse(strArray[3]), int.Parse(strArray[4]));
                    return true;
                }
                catch
                {
                    return false;
                }
            }
            regex = new Regex(@"^(\d{6})(\d{4})(\d{2})(\d{2})(\d{3})([0-9Xx])$");
            if (!regex.Match(_value).Success)
            {
                return false;
            }
            strArray = regex.Split(_value);
            try
            {
                time = new DateTime(int.Parse(strArray[2]), int.Parse(strArray[3]), int.Parse(strArray[4]));
                return true;
            }
            catch
            {
                return false;
            }
        }
        /// <summary>
        /// 判断一个字符串是否为Int
        /// </summary>
        /// <param name="_value"></param>
        /// <returns></returns>
        public static bool IsInt(string _value)
        {
            Regex regex = new Regex(@"^(-){0,1}\d+$");
            if (regex.Match(_value).Success)
            {
                if ((long.Parse(_value) > 0x7fffffffL) || (long.Parse(_value) < -2147483648L))
                {
                    return false;
                }
                return true;
            }
            return false;
        }
        /// <summary>
        /// 判断一个字符串是否为手机号码
        /// </summary>
        /// <param name="_value"></param>
        /// <returns></returns>
        public static bool IsMobileNum(string _value)
        {
            Regex regex = new Regex(@"^13\d{9}$", RegexOptions.IgnoreCase);
            return regex.Match(_value).Success;
        }
        /// <summary>
        /// 判断一个字符串是否为电话号码
        /// </summary>
        /// <param name="_value"></param>
        /// <returns></returns>
        public static bool IsPhoneNum(string _value)
        {
            //    return Regex.IsMatch(strIn, @"(\d+-)?(\d{4}-?\d{7}|\d{3}-?\d{8}|^\d{7,8})(-\d+)?");
            Regex regex = new Regex(@"^(86)?(-)?(0\d{2,3})?(-)?(\d{7,8})(-)?(\d{3,5})?$", RegexOptions.IgnoreCase);
            return regex.Match(_value).Success;
        }
        /// <summary>
        /// 检测是否是正确的Url
        /// </summary>
        /// <param name="strUrl">要验证的Url</param>
        /// <returns>判断结果</returns>
        public static bool IsURL(string strUrl)
        {
            return Regex.IsMatch(strUrl, @"^(http|https)\://([a-zA-Z0-9\.\-]+(\:[a-zA-Z0-9\.&%\$\-]+)*@)*((25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9])\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9]|0)\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9]|0)\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[0-9])|localhost|([a-zA-Z0-9\-]+\.)*[a-zA-Z0-9\-]+\.(com|edu|gov|int|mil|net|org|biz|arpa|info|name|pro|aero|coop|museum|[a-zA-Z]{1,10}))(\:[0-9]+)*(/($|[a-zA-Z0-9\.\,\?\'\\\+&%\$#\=~_\-]+))*$");
        }
        /// <summary>
        /// 判断一个字符串是否为字母加数字
        /// Regex("[a-zA-Z0-9]?"
        /// </summary>
        /// <param name="_value"></param>
        /// <returns></returns>
        public static bool IsWordAndNum(string _value)
        {
            Regex regex = new Regex("[a-zA-Z0-9]?");
            return regex.Match(_value).Success;
        }
        /// <summary>
        /// 是否为ip
        /// </summary>
        /// <param name="ip"></param>
        /// <returns></returns>
        public static bool IsIP(string ip)
        {
            return Regex.IsMatch(ip, @"^((2[0-4]\d|25[0-5]|[01]?\d\d?)\.){3}(2[0-4]\d|25[0-5]|[01]?\d\d?)$");
        }


        #region IsInt32
        /// <summary>
        /// 验证字符串是否整数
        /// </summary>
        /// <param name="input">要验证的字符串</param>
        /// <returns></returns>
        public static bool IsInt32(string input)
        {
            string regexString = @"^-?\\d+$";

            return Regex.IsMatch(input, regexString);
        }
        #endregion

        #region IsDouble
        /// <summary>
        /// 验证字符串是否浮点数字
        /// </summary>
        /// <param name="v">要验证的字符串</param>
        /// <returns></returns>
        public static bool IsDouble(string input)
        {
            string regexString = @"^(-?\\d+)(\\.\\d+)?$";

            return Regex.IsMatch(input, regexString);
        }
        #endregion

        /// <summary>
        /// 检测是否合法日期
        /// </summary>
        /// <param name="str">待检测的字符串</param>
        /// <returns></returns>
        public static bool ChkDate(string Input)
        {
            try
            {
                DateTime t1 = DateTime.Parse(Input);
                return true;
            }
            catch
            {
                return false;
            }
        }

        #region IsTxtFileName
        /// <summary>
        /// 验证字符串是否TXT文件名(全名)
        /// </summary>
        /// <param name="input">要验证的字符串</param>
        /// <returns></returns>
        public static bool IsTxtFileName(string input)
        {
            string regexString = @"^(([a-zA-Z]:)|(\\{2}\w+)\$?)(\\(\w[\w ]*))+\.(txt|TXT)$";

            return Regex.IsMatch(input, regexString);

        }
        #endregion

        //验证是否为小数 
        public bool IsDecimal(string strIn)
        {

            return Regex.IsMatch(strIn, @"[0].\d{1,2}|[1]");
        }



        ///// <summary>
        ///// 检查当前IP是否是受限IP
        ///// </summary>
        ///// <param name="LimitedIP">受限的IP，格式如:192.168.1.110|212.235.*.*|232.*.*.*</param>
        ///// <returns>返回true表示IP未受到限制</returns>
        //static public bool ValidateIP(string LimitedIP)
        //{
        //    string CurrentIP =
        //    if (LimitedIP == null || LimitedIP.Trim() == string.Empty)
        //        return true;
        //    LimitedIP.Replace(".", @"\.");
        //    LimitedIP.Replace("*", @"[^\.]{1,3}");
        //    Regex reg = new Regex(LimitedIP, RegexOptions.Compiled);
        //    Match match = reg.Match(CurrentIP);
        //    return !match.Success;
        //}
        /// <summary>
        /// 字段串是否为Null或为""(空)
        /// </summary>
        /// <param name="str"></param>
        /// <returns></returns>
        public static bool StrIsNullOrEmpty(string str)
        {
            if (str == "" || String.IsNullOrEmpty(str))
                return true;

            return false;
        }
        /// <summary>
        /// 返回文件是否存在
        /// </summary>
        /// <param name="filename">文件名</param>
        /// <returns>是否存在</returns>
        public static bool FileExists(string filename)
        {
            return System.IO.File.Exists(filename);
        }
        /// <summary>
        /// 检测是否有Sql危险字符
        /// </summary>
        /// <param name="str">要判断字符串</param>
        /// <returns>判断结果</returns>
        public static bool IsSafeSqlString(string str)
        {
            return !Regex.IsMatch(str, @"[-|;|,|\/|\(|\)|\[|\]|\}|\{|%|@|\*|!|\']");
        }

        #endregion

        #region 系统路径
        /// <summary>
        /// web 的根目录
        /// </summary>
        public static string HtmlURL = HttpContext.Current.Request.PhysicalApplicationPath;
        /// <summary>
        /// c#的根目录
        /// </summary>
        public static string BinURL = System.AppDomain.CurrentDomain.BaseDirectory;
        /// <summary>
        /// 返回服务器路径
        /// </summary>
        public static string ServerURL(string Path)
        {
            return HttpContext.Current.Server.MapPath(Path);
        }


        /// <summary>
        /// 获得当前绝对路径administrator
        /// </summary>
        /// <param name="strPath">指定的路径</param>
        /// <returns>绝对路径</returns>
        public static string GetMapPath(string strPath)
        {
            if (HttpContext.Current != null)
            {
                return HttpContext.Current.Server.MapPath(strPath);
            }
            else //非web程序引用a
            {
                return System.IO.Path.Combine(AppDomain.CurrentDomain.BaseDirectory, strPath);
            }
        }

        #endregion

        /// <summary>
        /// 密码加密
        /// </summary>
        /// <param name="psw">密码</param>
        /// <returns></returns>
        public static object GetMD5(string psw)
        {
            return FormsAuthentication.HashPasswordForStoringInConfigFile(psw + psw, "md5").ToLower();

        }

        public static long getDirectorySize(string path)
        {
            DirectoryInfo dirInfo = new DirectoryInfo(path);
            long sumSize = 0;
            foreach (FileSystemInfo fsInfo in dirInfo.GetFileSystemInfos())
            {
                if (fsInfo.Attributes.ToString().ToLower() == "directory")
                {
                    sumSize += getDirectorySize(fsInfo.FullName);
                }
                else
                {
                    FileInfo fiInfo = new FileInfo(fsInfo.FullName);
                    sumSize += fiInfo.Length;
                }
            }
            return sumSize;
        }
        public static long GetDirectoryLength(string dirPath)
        {
            if (!Directory.Exists(dirPath))
                return 0;
            long len = 0;
            DirectoryInfo di = new DirectoryInfo(dirPath);
            foreach (FileInfo fi in di.GetFiles())
            {
                len += fi.Length;
            }
            DirectoryInfo[] dis = di.GetDirectories();
            if (dis.Length > 0)
            {
                for (int i = 0; i < dis.Length; i++)
                {
                    len += GetDirectoryLength(dis[i].FullName);
                }
            }
            return len;
        }
        public static bool WriteFile(string strContent, string name, string username)
        {
            //  string path = HttpContext.Current.Server.MapPath("");
            Encoding code = Encoding.GetEncoding("gb2312");
            // 读取模板文件
            //string temp = HttpContext.Current.Server.MapPath("text.html");D:\test\admin\text.html
            string temp = HttpContext.Current.Server.MapPath("~/moban/text.html");
            //@"D:\\qingdaoxinxi\\text.html";
            string web_path = AppDomain.CurrentDomain.BaseDirectory.ToString();
            StreamReader sr = null;
            StreamWriter sw = null;
            string str = "";
            try
            {
                sr = new StreamReader(temp, code);
                str = sr.ReadToEnd(); // 读取文件
            }
            catch (Exception exp)
            {
                HttpContext.Current.Response.Write(exp.Message);
                HttpContext.Current.Response.End();
                sr.Close();
            }

            //DateTime.Now.ToString("yyyyMMddHHmmss")
            //string htmlfilename = path+"/" + name + ".html";
            //string htmlfilename = path.Replace(@"\admin", "") + @"\\" + name + ".html";
            StringBuilder sb = new StringBuilder();
            sb.Append(web_path);
            sb.Append("users/");
            sb.Append(username);
            sb.Append("/");
            sb.Append(name);
            string htmlfilename = sb.ToString();// web_path + @"/users/"+username + name;
            // 替换内容
            // 这时,模板文件已经读入到名称为str的变量中了
            //str = str.Replace("ShowArticle", strText); //模板页中的ShowArticle
            //str = str.Replace("biaoti", strText);
            str = str.Replace("content", strContent);
            //str = str.Replace("author", strAuthor);
            // 写文件
            try
            {
                sw = new StreamWriter(htmlfilename, false, code);
                sw.Write(str);
                sw.Flush();
            }
            catch (Exception ex)
            {
                HttpContext.Current.Response.Write(ex.Message);
                HttpContext.Current.Response.End();
            }
            finally
            {
                sw.Close();
                //HttpContext.Current.Response.Write("恭喜<a href='" + name + ".html' target=_blank>" + name + "</a>已经生成，保存在htm文件夹下！");

            }
            return true;
        }

        public static object getdate(object datetime)
        {
            string[] list = (datetime + "").Split(new string[] { "-", " ", "/" }, StringSplitOptions.None);

            string mouth = list[1];
            string day = list[2];
            if (mouth.Length == 1)
                mouth = "0" + mouth;
            if (day.Length == 1)
                day = "0" + day;
            return list[0] + "-" + mouth + "-" + day;

        }

        public static object getday(object datetime)
        {
            string[] list = (datetime + "").Split(new string[] { "-", " ", "/" }, StringSplitOptions.None);

            string day = list[2];

            if (day.Length == 1)
                day = "0" + day;
            return day;

        }

        public static object getdweek(object datetime)
        {
            string str = "";
            DateTime date = Convert.ToDateTime(datetime);
            switch (date.DayOfWeek.ToString())
            {
                case "Monday":
                    str = "星期一";
                    break;
                case "Tuesday":
                    str = "星期二";
                    break;
                case "Wednesday":
                    str = "星期三";
                    break;
                case "Thursday":
                    str = "星期四";
                    break;
                case "Friday":
                    str = "星期五";
                    break;
                case "Saturday":
                    str = "星期六";
                    break;
                case "Sunday":
                    str = "星期日";
                    break;
            }



            return str;
        }

        public static string FunStr(string str)
        {
            try
            {
                string fiter = "script,iframe,input,form";
                string[] s = fiter.Split(new string[] { "," }, StringSplitOptions.RemoveEmptyEntries);
                foreach (string lb in s)
                {
                    string reg = String.Format(@"</?{0}[^>]*?>", lb.Trim());
                    str = Regex.Replace(str, reg, "", RegexOptions.IgnoreCase);
                }

                str = str.Replace("&", "");
                str = str.Replace("<", "");
                str = str.Replace(">", "");
                str = str.Replace("'", "");
                str = str.Replace("*", "");
                str = str.Replace("\n", "");
                str = str.Replace("\r\n", "");
                str = str.Replace("?", "");
                str = str.Replace("select", "");
                str = str.Replace("insert", "");
                str = str.Replace("update", "");
                str = str.Replace("delete", "");
                str = str.Replace("create", "");
                str = str.Replace("drop", "");
                str = str.Replace("delcare", "");
                str = str.Replace("exec ", "");
                //  str = str.Replace("   ", "");

                str = str.Trim();
                if (str.Trim().ToString() == "")
                    str = "";
                return str;
            }
            catch (Exception)
            {
                return "";
            }

        }
        public static string FunBadStr(string str)
        {
            try
            {
                string fiter = "script,iframe,input,form";
                string[] s = fiter.Split(new string[] { "," }, StringSplitOptions.RemoveEmptyEntries);
                foreach (string lb in s)
                {
                    string reg = String.Format(@"</?{0}[^>]*?>", lb.Trim());
                    str = Regex.Replace(str, reg, "", RegexOptions.IgnoreCase);
                }

                str = str.Replace("select", "");
                str = str.Replace("insert", "");
                str = str.Replace("update", "");
                str = str.Replace("delete", "");
                str = str.Replace("create", "");
                str = str.Replace("drop", "");
                str = str.Replace("delcare", "");
                str = str.Replace("exec ", "");

                str = str.Trim();
                if (str.Trim().ToString() == "")
                    str = "";
                return str;
            }
            catch (Exception)
            {
                return "";
            }

        }

        public static string ClearHtml(string strHtml)
        {
            if (strHtml != "")
            {
                Regex regex = null;
                Match match = null;
                regex = new Regex(@"<\/?[^>]*>", RegexOptions.IgnoreCase);
                for (match = regex.Match(strHtml); match.Success; match = match.NextMatch())
                {
                    strHtml = strHtml.Replace(match.Groups[0].ToString(), "");
                }
            }
            return strHtml;
        }

        public static string getUrltoHtml(string Url)
        {
            string errorMsg = "";
            try
            {
                StreamReader reader = new StreamReader(WebRequest.Create(Url).GetResponse().GetResponseStream(), Encoding.UTF8);
                return reader.ReadToEnd();
            }
            catch (Exception ex)
            {
                errorMsg = ex.Message;
            }
            return "";
        }

        public static object getdate(object datetime, string s)
        {
            string[] list = (datetime + "").Split(new string[] { "-", " ", "/" }, StringSplitOptions.None);

            string mouth = list[1];
            string day = list[2];
            if (mouth.Length == 1)
                mouth = "0" + mouth;
            if (day.Length == 1)
                day = "0" + day;
            return list[0] + s + mouth + s + day;

        }

        public static string getcontent(string tn, int i)
        {
            string str = "";
            try
            {
                using (Managers cm = new Managers())
                {
                    str = HtmlDecode( cm.getvalue(tn, "[values]", "id=" + i, "") + "");
                }
            }
            catch
            {
            }
            return str;
        }

        public static object getcontent(int i)
        {
            string str = "";
            try
            {
                using (Managers cm = new Managers())
                {
                    str =HtmlDecode( cm.getvalue("t_configs", "[values]", "id=" + i, "") + "");
                }
            }
            catch
            {
            }
            return str;
        }




        public static string GetSession(string strName)
        {
            if (HttpContext.Current.Session[strName] == null)
            {
                return "";
            }
            return HttpContext.Current.Session[strName].ToString();
        }

        public static string GetCookie(string strName)
        {
            if ((HttpContext.Current.Request.Cookies != null) && (HttpContext.Current.Request.Cookies[strName] != null))
            {
                return HttpContext.Current.Request.Cookies[strName].Value.ToString();
            }
            return "";
        }

        public static void WriteCookie(string strName, string strValue)
        {
            HttpCookie cookie = HttpContext.Current.Request.Cookies[strName];
            if (cookie == null)
            {
                cookie = new HttpCookie(strName);
            }
            cookie.Value = strValue;
            HttpContext.Current.Response.AppendCookie(cookie);
        }

        public static void WriteCookie(string strName, string strValue, int expires)
        {
            HttpCookie cookie = HttpContext.Current.Request.Cookies[strName];
            if (cookie == null)
            {
                cookie = new HttpCookie(strName);
            }
            cookie.Value = strValue;
            cookie.Expires = DateTime.Now.AddMinutes((double)expires);
            HttpContext.Current.Response.AppendCookie(cookie);
        }

        public static void WriteSession(string strName, string strValue)
        {
            if ((strName != "") && (strValue != ""))
            {
                HttpContext.Current.Session[strName] = strValue;
            }
        }




        /// <summary>
        /// 发送邮件程序
        /// </summary>
        /// <param name="from">发送人邮件地址</param>
        /// <param name="fromname">发送人显示名称</param>
        /// <param name="to">发送给谁（邮件地址）</param>
        /// <param name="subject">标题</param>
        /// <param name="body">内容</param>
        /// <param name="username">邮件登录名</param>
        /// <param name="password">邮件密码</param>
        /// <param name="server">邮件服务器 smtp服务器地址</param>
        /// <param name="fujian">附件</param>
        /// <returns>send ok</returns>
        /// 调用方法 SendMail("abc@126.com", "某某人", "cba@126.com", "你好", "我测试下邮件", "邮箱登录名", "邮箱密码", "smtp.126.com", "");
        /// 
        public static string SendMail(string from, string fromname, string to, string subject, string body, string username, string password, string server, string fujian)
        {
            try
            {
                //邮件发送类
                MailMessage mail = new MailMessage();
                //是谁发送的邮件
                mail.From = new MailAddress(from, fromname);
                //发送给谁
                mail.To.Add(to);
                //标题
                mail.Subject = subject;
                //内容编码
                mail.BodyEncoding = Encoding.Default;
                //发送优先级
                mail.Priority = MailPriority.High;
                //邮件内容
                mail.Body = body;
                //是否HTML形式发送
                mail.IsBodyHtml = true;
                //附件
                if (fujian.Length > 0)
                {
                    mail.Attachments.Add(new Attachment(fujian));
                }
                //邮件服务器和端口
                SmtpClient smtp = new SmtpClient(server, 25);
                smtp.UseDefaultCredentials = true;
                //指定发送方式
                smtp.DeliveryMethod = SmtpDeliveryMethod.Network;
                //指定登录名和密码
                smtp.Credentials = new System.Net.NetworkCredential(username, password);

                //mail.Fields.Add("http://schemas.microsoft.com/cdo/configuration/smtpauthenticate", "1"); //basic authentication 
                //mail.Fields.Add("http://schemas.microsoft.com/cdo/configuration/sendusername", username); //set your username here 
                //mail.Fields.Add("http://schemas.microsoft.com/cdo/configuration/sendpassword", password); //set your password here 

                //超时时间
                smtp.EnableSsl = false;
                smtp.Timeout = 10000;
                smtp.Send(mail);
                return "成功发送请注意查收";
            }
            catch (Exception exp)
            {
                return exp.Message;
            }
        }



        /// <summary>
        /// 生成缩略图
        /// </summary>
        /// <param name="originalImagePath">源图路径（物理路径）</param>
        /// <param name="thumbnailPath">缩略图路径（物理路径）</param>
        /// <param name="width">缩略图宽度</param>
        /// <param name="height">缩略图高度</param>
        /// <param name="mode">生成缩略图的方式</param>
        public static void MakeThumbnail(string originalImagePath, string thumbnailPath, int width, int height, string mode)
        {
            mode = "HW";
            System.Drawing.Image originalImage = System.Drawing.Image.FromFile(originalImagePath);

            int towidth = width;
            int toheight = height;

            int x = 0;
            int y = 0;
            int ow = originalImage.Width;
            int oh = originalImage.Height;

            switch (mode)
            {
                case "HW"://指定高宽缩放（可能变形）                
                    break;
                case "W"://指定宽，高按比例                    
                    toheight = originalImage.Height * width / originalImage.Width;
                    break;
                case "H"://指定高，宽按比例
                    towidth = originalImage.Width * height / originalImage.Height;
                    break;
                case "Cut"://指定高宽裁减（不变形）                
                    if ((double)originalImage.Width / (double)originalImage.Height > (double)towidth / (double)toheight)
                    {
                        oh = originalImage.Height;
                        ow = originalImage.Height * towidth / toheight;
                        y = 0;
                        x = (originalImage.Width - ow) / 2;
                    }
                    else
                    {
                        ow = originalImage.Width;
                        oh = originalImage.Width * height / towidth;
                        x = 0;
                        y = (originalImage.Height - oh) / 2;
                    }
                    break;
                default:
                    break;
            }

            if (towidth > ow)
            {
                towidth = ow;
                toheight = oh;
            }
            //新建一个bmp图片
            System.Drawing.Image bitmap = new System.Drawing.Bitmap(towidth, toheight);

            //新建一个画板
            System.Drawing.Graphics g = System.Drawing.Graphics.FromImage(bitmap);

            //设置高质量插值法
            g.InterpolationMode = System.Drawing.Drawing2D.InterpolationMode.High;

            //设置高质量,低速度呈现平滑程度
            g.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality;

            //清空画布并以透明背景色填充
            g.Clear(System.Drawing.Color.Transparent);

            //在指定位置并且按指定大小绘制原图片的指定部分
            g.DrawImage(originalImage, new System.Drawing.Rectangle(0, 0, towidth, toheight),
                new System.Drawing.Rectangle(x, y, ow, oh),
                System.Drawing.GraphicsUnit.Pixel);

            try
            {
                //以jpg格式保存缩略图
                bitmap.Save(thumbnailPath, System.Drawing.Imaging.ImageFormat.Jpeg);
            }
            catch (System.Exception e)
            {
                throw e;
            }
            finally
            {
                originalImage.Dispose();
                bitmap.Dispose();
                g.Dispose();
            }
        }

        public static string GetClientIP()
        {
            string result = HttpContext.Current.Request.ServerVariables["HTTP_X_FORWARDED_FOR"];
            if (null == result || result == String.Empty)
            {
                result = HttpContext.Current.Request.ServerVariables["REMOTE_ADDR"];
            }


            if (null == result || result == String.Empty)
            {
                result = HttpContext.Current.Request.UserHostAddress;
            }
            return result;
        }
}